Upload the image to the Image Service throwing 503 error message

Bug #1271018 reported by Amresh Kumar on 2014-01-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-manuals
Medium
Amresh Kumar

Bug Description

Was following the instructions at "Verify the Image Service installation" to upload the image. Below command was throwing error message as explained below :
# glance image-create --name="CirrOS 0.3.1" --disk-format=qcow2 --container-format=bare --is-public=true < cirros-0.3.1-x86_64-disk.img

===========/var/log/glance/api.log==========
2014-01-20 18:11:09.003 4203 ERROR glance.api.v1.upload_utils [f53025fc-a53d-4a01-8477-50d8313b3961 None None] Insufficient permissions on image storage media: Permission to write image storage media denied.
========================================

Error on Konsole after running the image-create commane
===================
Request returned failure status.
503 Service Unavailable
Insufficient permissions on image storage media: Permission to write image storage media denied.
    (HTTP 503)
================

Just to mentioned the image was downloaded in the folder "/var/lib/glance/images" as instructed in earlier documentation, working as root on VMware Workstation 10, "openrc.sh" file was setup and source too.

Ownership change instructed for keystone but not for glance. Did change ownership of "glance" folder and subfolders which fixed the issue and everything is running fine as expected.
==============
#cd /var/lib/
#chown glance.glance glance -R
=============

Thank you for nice documentation :)
-----------------------------------
Built: 2014-01-21T01:08:29 00:00
git SHA: a1884a2a5bc362572a3754d5c72d7b821ecd16ac
URL: http://docs.openstack.org/trunk/install-guide/install/yum/content/glance-verify.html
source File: file:/home/jenkins/workspace/openstack-install-deploy-guide-fedora/doc/install-guide/section_glance-verify.xml
xml:id: glance-verify

ZhiQiang Fan (aji-zqfan) wrote :

"Just to mentioned the image was downloaded in the folder "/var/lib/glance/images" as instructed in earlier documentation"

sorry, I read the glance sections but didn't find where says should be download to /var/lib/glance, can you provide some keyword and the exactly page, so I can use ctrl+F and search on that page

Thanks a lot for feeding back, will be fixed as soon as possiable if it is confirmed.

Changed in openstack-manuals:
status: New → Incomplete
Amresh Kumar (amu495) wrote :

Hi,
Thanks for looking into this.

Chapter 5. Configure the Image Service
====================
For simplicity this guide configures the Image Service to use the file backend. This means that images uploaded to the Image Service will be stored in a directory on the same system that hosts the service. By default this directory is /var/lib/glance/images/.
===================
Let me know if you need any further information.

Launchpad Janitor (janitor) wrote :

[Expired for openstack-manuals because there has been no activity for 60 days.]

Changed in openstack-manuals:
status: Incomplete → Expired
Amresh Kumar (amu495) wrote :

Unfortunately, didn't get any update on this

Changed in openstack-manuals:
status: Expired → Incomplete
Andreas Jaeger (jaegerandi) wrote :

amresh, regarding comment #2: That is the location where files will be stored internally by glance. But let me clarify this by using a full path to avoid any confusion.

Changed in openstack-manuals:
status: Incomplete → In Progress
importance: Undecided → Medium
assignee: nobody → Andreas Jaeger (jaegerandi)
Amresh Kumar (amu495) wrote :

That's true Andreas and I am aware about that.

Issue was that while creating the image I was getting the 503 Service Unavailable error message But after the changing the permission it worked fine, which I clearly mentioned in my first post itself.

Andreas Jaeger (jaegerandi) wrote :

The chown shouldn't be needed anymore, we've recently updated the instructions.

Amresh Kumar (amu495) wrote :

If that's the case then it's fine.

Reviewed: https://review.openstack.org/91835
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=4371ddd3f919583ebc0c4319f3708577a1ab89cb
Submitter: Jenkins
Branch: master

commit 4371ddd3f919583ebc0c4319f3708577a1ab89cb
Author: Andreas Jaeger <email address hidden>
Date: Fri May 2 19:28:35 2014 +0200

    Give a full path for glance verification

    Give a specific directory so that it's clear that this is not a
    subdirectory of the Image store (/var/lib/glance).

    Also, remove the created directory at the end to make it clear that this
    is a temporary download.

    Change-Id: If42e5e891e728e7fb87318e29d88ede1376294b2
    Closes-Bug: #1271018

Changed in openstack-manuals:
status: In Progress → Fix Released
Amresh Kumar (amu495) on 2014-05-08
Changed in openstack-manuals:
assignee: Andreas Jaeger (jaegerandi) → Amresh Kumar (amu495)

This issue was fixed in the openstack/openstack-manuals 15.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers